using System;
using System.Data;

/// <summary>
/// I_ConsultativeRestore 的摘要说明
/// </summary>
namespace Consultative
{
    /// <summary>
    /// 咨询回复信息接口
    /// </summary>
    public interface IConsultativeRestore
    {
        int Insert(TConsultativeRestore us);     //添加咨询回复信息
        int Update(TConsultativeRestore us);     //修改咨询回复信息
        int UpdateShield(TConsultativeRestore eui);  //修改屏蔽信息
        int Delete(int ID);                      //根据ID删除咨询回复信息
        DataTable GetDataTable();                //取得咨询回复信息
        DataTable GetDataTable(int ID);          //根据ID取得咨询回复信息
        TConsultativeRestore GateItem(int id);   //根据ID取得咨询回复信息
    }
}
